Bug 867923 - SELinux is preventing /usr/bin/chsh from 'write' accesses on the file /etc/.pwd.lock.
SELinux is preventing /usr/bin/chsh from 'write' accesses on the file /etc/.p...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4ac4731d3b202ecfdf12b47510c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 11:08 EDT by Xaver Hellauer
Modified: 2012-12-20 11:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:15:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-18 11:08 EDT, Xaver Hellauer
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-18 11:08 EDT, Xaver Hellauer
no flags Details

  None (edit)
Description Xaver Hellauer 2012-10-18 11:08:31 EDT
Description of problem:
Did execute
chsh -s /bin/zsh


Additional info:
libreport version: 2.0.16
kernel:         3.6.2-2.fc18.x86_64

description:
:SELinux is preventing /usr/bin/chsh from 'write' accesses on the file /etc/.pwd.lock.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If sie denken, dass es chsh standardmässig erlaubt sein sollte, write Zugriff auf .pwd.lock file zu erhalten.
:Then sie sollten dies als Fehler melden.
:Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
:Do
:zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
:# grep chsh /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:chfn_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:shadow_t:s0
:Target Objects                /etc/.pwd.lock [ file ]
:Source                        chsh
:Source Path                   /usr/bin/chsh
:Port                          <Unbekannt>
:Host                          (removed)
:Source RPM Packages           util-linux-2.22.1-1.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-36.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.2-2.fc18.x86_64 #1 SMP Wed Oct
:                              17 05:56:07 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-18 16:57:20 CEST
:Last Seen                     2012-10-18 16:57:20 CEST
:Local ID                      c5f7cbac-b5ed-41b3-a440-9ffa8175b7b8
:
:Raw Audit Messages
:type=AVC msg=audit(1350572240.986:374): avc:  denied  { write } for  pid=4733 comm="chsh" name=".pwd.lock" dev="sda3" ino=142169 scontext=unconfined_u:unconfined_r:chfn_t:s0-s0:c0.c1023 tcontext=system_u:object_r:shadow_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1350572240.986:374): arch=x86_64 syscall=open success=no exit=EACCES a0=7ff0439aa1ac a1=80041 a2=180 a3=22 items=0 ppid=4658 pid=4733 auid=1000 uid=1000 gid=1000 euid=0 suid=0 fsuid=0 egid=1000 sgid=1000 fsgid=1000 tty=pts0 ses=2 comm=chsh exe=/usr/bin/chsh subj=unconfined_u:unconfined_r:chfn_t:s0-s0:c0.c1023 key=(null)
:
:Hash: chsh,chfn_t,shadow_t,file,write
:
:audit2allow
:
:#============= chfn_t ==============
:allow chfn_t shadow_t:file write;
:
:audit2allow -R
:
:#============= chfn_t ==============
:allow chfn_t shadow_t:file write;
:
Comment 1 Xaver Hellauer 2012-10-18 11:08:35 EDT
Created attachment 629506 [details]
File: type
Comment 2 Xaver Hellauer 2012-10-18 11:08:37 EDT
Created attachment 629507 [details]
File: hashmarkername
Comment 3 Michel Alexandre Salim 2012-10-26 15:14:22 EDT
Attempting to change shell using chsh -s /bin/zsh, fresh install of F17 updated to latest F18

Package: (null)
OS Release: Fedora release 18 (Spherical Cow)
Comment 4 Daniel Walsh 2012-10-26 15:41:46 EDT
Fixed in selinux-policy-3.11.1-47.fc18.noarch
Comment 5 Fedora Update System 2012-11-05 16:06:40 EST
selinux-policy-3.11.1-50.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-50.fc18
Comment 6 Fedora Update System 2012-11-06 13:54:34 EST
Package selinux-policy-3.11.1-50.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-50.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17705/selinux-policy-3.11.1-50.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 11:15:20 EST
selinux-policy-3.11.1-50.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.